program SSS2;

uses
  Windows,
  Forms,
  MainUnit in 'MainUnit.pas' {ConfigForm},
  ScreensaveFormUnit in 'ScreensaveFormUnit.pas' {ScreensaveForm};

{$E .scr}

{$R *.RES}

begin
  Application.Initialize;
  Application.Title := 'SuperStarSaver 2';
  LoadParams;
  case ViewMode of
    vmConfig: begin
      Application.CreateForm(TConfigForm, ConfigForm);
  end;
    vmScreensave: begin
      //ScreensaveForm := TScreensaveForm.CreateNew(Application);
      Application.CreateForm(TScreensaveForm, ScreensaveForm);
      hDrawWindow := ScreensaveForm.Handle;

      StartScreensaver;
    end;
    vmPreview: begin
      if hDrawWindow = INVALID_HANDLE_VALUE then Exit;
      Application.ShowMainForm := False;
      StartScreensaver;
    end;
  end;
  Application.Run;
  case ViewMode of
    vmScreensave, vmPreview: StopScreensaver;
  end;
end.
